module TT_Test
	@d = nil
	@d = UI::WebDialog.new('On Load Test')
	@d.set_html('<html><script>function callme(){for(i=0;i<100;i++){window.location="skp:console@"+i}}</script><body onload="window.location=\'skp:onload\';">Onload Test</body><html>')
	@d.add_action_callback('onload') { |dialog, params|
		puts '>> window.onload'
	}
	@d.add_action_callback('console') { |dialog, params|
		puts '>> console' + params
	}
	
	# Call this before the other two methods
	def self.onload
		@d.show {
			puts '>> ruby block'
		}
	end
	
	# Sends 100 commands from the WebDialog to Ruby.
	# PC: All commands register
	# OSX: Last commands register
	def self.callme
		@d.execute_script('callme()')
	end
	
	# Sends 100 commands from Ruby to the WebDialog.
	# PC: All commands register
	# OSX: All commands register
	def self.callout
		@d.execute_script('document.body.innerHTML="";')
		(0..100).each{|i| @d.execute_script("document.body.innerHTML+='<br>Hello #{i}';") }
	end
end